Servidores do API
Status: Fechado Start date: 12/02/2011
Priority: Alta Due date:

Assignee: Tiago Simoes Batista % Done: 0%
Category: Servidor Linux Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

O sistema operativo dos servidores linux ndo é baseado em debian.
(Sistema base da distribui¢éo linux mais adoptada pela Universidade de Aveiro)

History

#1 - 12/02/2011 11:36 AM - Pedro Miguel Goncalves Ferreira
- Category set to Servidor Linux

- Assignee set to Tiago Simoes Batista

Penso que neste momento a Unica distribuicdo disponivel € mesmo a Scientific Linux.

#2 - 12/02/2011 11:51 AM - Tiago Simoes Batista

De momento a Gnica imagem estavel que temos é baseada em RHEL. Isso ndo é por acaso, o Unico sitio onde as distros baseadas em debian,
(leia-se ubuntu) sdo mais usadas é no desktop.

Mao estou com isto a dizer que ndo vamos mais tarde ou mais cedo fornecer a possibilidade de correr a tua distro favorita (e esta expresséo é
genérica...) mas no inicio tivemos que dar prioridade a uma distro linux com um ciclo de vida longo e uma imagem de windows.

Se tiveres interesse em desenvolver uma imagem linux ou conheceres quem tenha, posso dar uma workshop sobre o assunto num fim de semana,
mas de momento, e até (pelo menos) 18 de abril ndo estou com tempo para desenvolver mais imagens de linux.

#3 - 12/02/2011 02:20 PM - Miguel Lopes Luis

Ok. Dentro de algumas horas vais ter alguém a mandar-te um email sobre o workshop, pff responde. ;)

Tendo essa tal imagem linux desenvolvida quanto tempo implicaria torna-la disponivel?

#4 - 12/02/2011 02:29 PM - Tiago Simoes Batista

La para o semestre que vem....

Uma coisa, ninguém vai desenvolver imagens para o host... Apenas um conjunto de scripts para customizar imagens. Lamento, mas por questdes de
seguranga todo o software que vai para o host tem que ser muito bem revisto... Sei que compreendes bem a motivagéo :D

Depois disso feito, o resto é feito in-house. Ou seja, é o tempo de validar que os scripts estdo bem feitos, que tudo funciona como suposto e
finalmente passar as imagens para um formato mais eficiente.

Se alguém o quiser fazer, os melhores sitios para comecgar a ler sdo os scripts de arranque do opennebula em /etc/init.d (procurem o que nao
pertence!), os scripts que estdo no CDROM de todas as VM, e finalmente a documentagdo do opennebula.
#5 - 12/11/2011 08:28 PM - Pedro Miguel Goncalves Ferreira

- Status changed from Novo to Fechado
